Skip to content

(Deprecated) Get available tools for an integrated account

GET /integrated-account/{id}/tools

Path Parameters

idstring · uuid
required·

The ID of the integrated account

Query Parameters

methodsstring

Filter tools based on the type of method. Can be one of: list, get, create, update, delete, read, write, custom, or a custom method name.

Possible values:
listgetcreateupdatedeletereadwritecustom
tagsstring[]

Filter tools based on the tags assigned to specific resources.

has_descriptionstring

Defaults to true (description-gated). Pass false to include tools without a description.

Possible values:
truefalse

Response Body

resultsobject[]
body_schemaobject
2 properties
propertiesRecord<string, any>
typestring
Example: object
descriptionstring

A description of what the tool does

Example: List all accounts you have ownership or verified access to. Use the name query parameter to filter by account name.
methodstring

The HTTP method for the tool

Example: list
namestring

The name of the tool

Example: list_all_cloudflare_accounts
query_schemaobject
2 properties
propertiesRecord<string, any>
typestring
Example: object
requiredstring[]
Example: ["name"]
resourcestring

The resource type for the tool

Example: accounts
tagsstring[]
Example: ["ticket","organization"]
curl -X GET 'https://api.truto.one/integrated-account/{id}/tools' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.truto.one/integrated-account/{id}/tools', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/integrated-account/{id}/tools"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.integratedAccount.tools('<id>');

console.log(result);